コンテンツへスキップ

Stable Audio 3 · Medium · Text to Audio

統合

モデルID stable-audio-3/medium/text-to-audio
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/stable-audio-3/medium/text-to-audio?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエスト: $0.038 38 APIクレジット このページで実行

APIキーを取得
Stability AI 音声 1–380 s #music#audio#stereo

高速なデフォルト8ステップの蒸留済みMediumテキスト音声変換。最大380秒

Stability AI · 音声

最初の結果がここに表示されます

以下でリクエストを作成し、APIキーで実行してください。出力はストレージにコピーされ、永久保存または無料で7日保存されます。

リクエストを作成

コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。

•必須

目的の音声内容を指定するテキスト。

デフォルト 30

音声の長さ(秒)。mediumモデルの最大値は380秒(約6分20秒)です。

詳細設定 negative_prompt · output_format · bitrate · num_inference_steps · guidance_scale · seed · enable_prompt_expansion · enable_safety_checker
デフォルト

出力に含めたくない品質を指定するテキスト。

output_format デフォルト mp3

結果の音声に使用するコンテナ形式。

デフォルト 192k

出力音声のビットレート。wavまたはflacは可逆形式のため無視されます。mp3、aac、opusなどの圧縮形式では、'192k'または'320k'の形式で指定します。

デフォルト 8

サンプリング反復回数。蒸留済みのポストトレーニング済みチェックポイントは8回で既に高品質になるため、デフォルトは8です。追加の反復による効果はほとんどありません。

デフォルト 1

ベースチェックポイント専用のClassifier-free guidance強度。蒸留済みチェックポイントには影響しません。対応するチェックポイントでは、値を大きくするとプロンプトへの追従が強くなります。

結果を再現するためのランダム生成シード。省略するとランダムシードを選択します。

POST /run/stable-audio-3/medium/text-to-audio?wait=20 見積もり → $0.038
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/stable-audio-3/medium/text-to-audio?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエストを実行

キーはこのブラウザ内に保持されます。Doitong APIにのみ送信され、「記憶する」にチェックを入れた場合のみlocalStorageに保存されます。 APIキーを取得

Stable Audio 3 · Medium · Text to Audioについて

テキスト `prompt` から音声を生成し、任意で `negative_prompt` を指定できます。この追加学習済みバリアントのデフォルトはサンプリングステップ 8 で、それ以上増やしても効果は小さく、ベースチェックポイントにのみ効果があるためガイダンススケールのデフォルトは 1 です。`duration` は 1 から 380 秒です。出力は mp3、wav、flac、ogg、opus、m4a、aac から選択します。

パラメータ

名前型 デフォルト許可される値 説明
negative_prompt任意
型string
デフォルト
出力に含めたくない品質を指定するテキスト。
duration任意
型number
デフォルト30
1 – 380
音声の長さ(秒)。mediumモデルの最大値は380秒(約6分20秒)です。
num_inference_steps任意
型integer
デフォルト8
1 – 100
サンプリング反復回数。蒸留済みのポストトレーニング済みチェックポイントは8回で既に高品質になるため、デフォルトは8です。追加の反復による効果はほとんどありません。
guidance_scale任意
型number
デフォルト1
0 – 25
ベースチェックポイント専用のClassifier-free guidance強度。蒸留済みチェックポイントには影響しません。対応するチェックポイントでは、値を大きくするとプロンプトへの追従が強くなります。
seed任意
型integer | null
結果を再現するためのランダム生成シード。省略するとランダムシードを選択します。
enable_prompt_expansion任意
型boolean
デフォルトfalse
有効にするとLLMでプロンプトを拡張し、詳細を追加して結果の品質を向上させます。
enable_safety_checker任意
型boolean
デフォルトtrue
NSFWコンテンツの安全性チェック。
output_format任意
型enum
デフォルトmp3
mp3wavflacoggopusm4aaac
結果の音声に使用するコンテナ形式。
bitrate任意
型string
デフォルト192k
出力音声のビットレート。wavまたはflacは可逆形式のため無視されます。mp3、aac、opusなどの圧縮形式では、'192k'または'320k'の形式で指定します。
prompt必須
型string
目的の音声内容を指定するテキスト。
必須

出力

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "stable-audio-3/medium/text-to-audio",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 38,
    "usd": "0.038",
    "charged": 38,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "audio": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_name": "0-output.mp3",
      "file_size": 1843200
    },
    "seed": 42,
    "prompt": "string"
  },
  "outputs": [
    {
      "type": "audio",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_size": 1843200,
      "duration": 12,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
audio
object {url, content_type, file_name, file_size}生成によって作成された音声クリップ。
seed
integer生成中のランダム性を制御したシード。
prompt
string出力の生成に使用されたプロンプト。

その他のモデル: 音声

AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/stable-audio-3/medium/text-to-audio.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt